Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.i18n.client
Interface HasDirection

All Known Subinterfaces:
  AutoDirectionHandler.Target

All Known Implementing Classes:
  Anchor, DialogBox.CaptionImpl, DoubleBox, HTML, InlineHTML, InlineLabel, IntegerBox, Label, LongBox, PasswordTextBox, TextArea, TextBox, TextBoxBase, ValueBox, ValueBoxBase

    public interface HasDirection

A widget that implements this interface has the ability to override the document directionality for its root element. Widgets that implement this interface should be leaf widgets. More specifically, they should not implement the `HasWidgets` interface.

Nested Class Summary
`static class` | `HasDirection.Direction` Possible return values for `getDirection()` and parameter values for `setDirection(Direction)`.Widgets that implement this interface can either have a direction that is right-to-left (RTL), left-to-right (LTR), or default (which means that their directionality is inherited from their parent widget).

Method Summary
`HasDirection.Direction` | `getDirection()` Gets the directionality of the widget.
`void` | `setDirection(HasDirection.Direction direction)` Sets the directionality for a widget.

Method Detail

### setDirection

    void setDirection(HasDirection.Direction direction)

  Sets the directionality for a widget.

  Parameters:
    `direction` - `RTL` if the directionality should be set to right-to-left, `LTR` if the directionality should be set to left-to-right `DEFAULT` if the directionality should not be explicitly set

### getDirection

    HasDirection.Direction getDirection()

  Gets the directionality of the widget.

  Returns:
    `RTL` if the directionality is right-to-left, `LTR` if the directionality is left-to-right, or `DEFAULT` if the directionality is not explicitly specified

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD